package com.wdkl.ncs.android.middleware.model.vo;


import com.wdkl.ncs.android.middleware.model.dos.MemberDO;

import io.swagger.annotations.ApiModel;


/**
 * 会员实体
 *
 * @author zh
 * @version v7.0.0
 * @since v7.0.0
 * 2018-03-30 14:27:48
 */
@ApiModel
public class MemberVO {

    /**
     * 会员ID
     */
    private Integer uid;
    /**
     * 会员登陆用户名
     */
    private String username;
    /**
     * 真实姓名
     */
    private String nickname;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * token令牌
     */
    private String accessToken;

    private Integer accessTokenTimeout;

    /**
     * 刷新token
     */
    private String refreshToken;

    private Integer refreshTokenTimeout;

    /**
     * 会员头像
     */
    private String face;


    /**
     * 最后登陆的店铺Id
     */
    private Integer lastLoginShopid;

    /**
     * 角色id
     */
    private Integer roleId;
    /**
     * 是否是店主
     */
    private Integer founder;

    public MemberVO() {

    }

    public MemberVO(MemberDO member, String accessToken, String refreshToken) {
        this.uid = member.getMemberId();
        this.face = member.getFace();
        this.username = member.getUname();
        this.nickname = member.getNickname();
        this.accessToken = accessToken;
        this.refreshToken = refreshToken;
        this.mobile = member.getMobile();
        this.lastLoginShopid=member.getLastLoginShopid();

    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public String getFace() {
        return face;
    }

    public void setFace(String face) {
        this.face = face;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getLastLoginShopid() {
        return lastLoginShopid;
    }

    public void setLastLoginShopid(Integer lastLoginShopid) {
        this.lastLoginShopid = lastLoginShopid;
    }

    public Integer getAccessTokenTimeout() {
        return accessTokenTimeout;
    }

    public void setAccessTokenTimeout(Integer accessTokenTimeout) {
        this.accessTokenTimeout = accessTokenTimeout;
    }

    public Integer getRefreshTokenTimeout() {
        return refreshTokenTimeout;
    }

    public void setRefreshTokenTimeout(Integer refreshTokenTimeout) {
        this.refreshTokenTimeout = refreshTokenTimeout;
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public Integer getFounder() {
        return founder;
    }

    public void setFounder(Integer founder) {
        this.founder = founder;
    }
}